import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema'

const makeSchema = () => z.object({
  id: SortOrderSchema.optional(),
  npiProviderId: SortOrderSchema.optional(),
  totalCollection: SortOrderSchema.optional(),
  commissionAmount: SortOrderSchema.optional(),
  notes: SortOrderSchema.optional(),
  createdAt: SortOrderSchema.optional()
}).strict();
export const CommissionBatchMaxOrderByAggregateInputObjectSchema: z.ZodType<Prisma.CommissionBatchMaxOrderByAggregateInput> = makeSchema() as unknown as z.ZodType<Prisma.CommissionBatchMaxOrderByAggregateInput>;
export const CommissionBatchMaxOrderByAggregateInputObjectZodSchema = makeSchema();
